Bug 225231 - www/waterfox 56.0.3 fails to present modal authentication dialogues for some types of service
Summary: www/waterfox 56.0.3 fails to present modal authentication dialogues for some ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-16 19:43 UTC by Graham Perrin
Modified: 2018-01-19 06:58 UTC (History)
0 users

See Also:
jbeich: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2018-01-16 19:43:38 UTC
Home-built 56.0.3 on FreeBSD-CURRENT fails to present a modal authentication for URLs such as these: 

<https://servicedesk.brighton.ac.uk/>
<https://staff.brighton.ac.uk/>

A modal authentication dialogue _does_ appear in response to a click on 'Sophos Installers' at <https://security.brighton.ac.uk/>. 

Not reproducible with 56.0.2_1 on the same machine. 

Not reproducible with 56.0.3 on Linux, Mac OS X 10.12.6 or Windows 7 Enterprise.
Comment 1 Jan Beich freebsd_committer 2018-01-17 08:28:39 UTC
Tracked down to files/patch-bug1409449 which backports https://hg.mozilla.org/releases/mozilla-release/rev/f75756056fc4
Comment 2 commit-hook freebsd_committer 2018-01-17 08:59:23 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 17 08:59:13 UTC 2018
New revision: 459226
URL: https://svnweb.freebsd.org/changeset/ports/459226

Log:
  www/waterfox: unbreak HTTP auth dialog after r458873

  PR:		225231
  Reported by:	Graham Perrin

Changes:
  head/www/waterfox/Makefile
  head/www/waterfox/files/patch-bug1425156
Comment 3 commit-hook freebsd_committer 2018-01-17 09:00:26 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 17 08:59:58 UTC 2018
New revision: 459227
URL: https://svnweb.freebsd.org/changeset/ports/459227

Log:
  MFH: r459226

  www/waterfox: unbreak HTTP auth dialog after r458873

  PR:		225231
  Reported by:	Graham Perrin
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q1/
  branches/2018Q1/www/waterfox/Makefile
  branches/2018Q1/www/waterfox/files/patch-bug1425156
Comment 4 Graham Perrin 2018-01-19 06:58:16 UTC
Fix confirmed (tested: 56.0.3_2). 

Thanks for identifying the cause, and fixing, so quickly!